#!/bin/sh

# in /etc/linuxigd/wandet.log
# Result=0 : No connection
# Result=1 : Automatic IP
# Result=2 : PPPoE
# Result=3 : Others

. /etc/linuxigd/Layer3Forwarding
. /etc/linuxigd/WANIPAddress

rm -rf /var/run/udhcpc_x.pid
echo "DetResult=" > /etc/linuxigd/wandet.log
echo "DetDHCP=" > /etc/linuxigd/dhcpdet.log

WANIF="eth1"
PHYCONNECT=`wlanutil ethgetx $WANIF`

if [ "$PHYCONNECT" = "0" ]; then
	DetResult=0
else
   if [ "$x_ConnectionType" = "Automatic IP" ]; then
	PID=`cat /var/run/udhcpc.pid`
	kill -17 $PID
        sleep 1s
	kill -16 $PID
   else
 	udhcpc -i $WANIF -q -n -s /usr/share/udhcpc/detect.script &
   fi	
   ISPPPOE=`pppoe -I $WANIF -d | grep :`

   if [ -f "/etc/linuxigd/dhcpdet.log" ]; then
	. /etc/linuxigd/dhcpdet.log
	ISDHCPC=$DHCPDet
   else
	ISDHCPC=""
   fi	

   echo $ISPPPOE
   echo $ISDHCPC

   if [ "$ISPPPOE" != "" ]; then
	DetResult=2
   elif [ "$ISDHCPC" != "" ]; then
	DetResult=1
   else
	DetResult=3
   fi	

   	
   if [ "$x_ConnectionType" != "Automatic IP" ]; then
	killall udhcpc
   fi
   killall pppoe
fi

echo "DetResult=\"$DetResult\"" > /etc/linuxigd/wandet.log



