#!/bin/sh
#. /etc/linuxigd/WLANConfig11b
# 20030821 added by ChenI
. /etc/linuxigd/WLANConfig11b_chkstr
. /etc/linuxigd/DeviceSecurity11a
. /etc/linuxigd/WLCtrl
FILE=/etc/linuxigd/wlan11b.log

CChannel=`wlconfig eth2 get_channel`

if [ "$AuthenticationMethod" = "0" ]; then 
	AuthStr="Open System or Shared Key"
	case "$WEPType" in
		"0") ENCStr="None";;
		"1") ENCStr="WEP-64bits";;
		"2") ENCStr="WEP-128bits";;
	esac	
elif [ "$AuthenticationMethod" = "1" ]; then
	AuthStr="Shared Key"
	case "$WEPType" in
		"0") ENCStr="WEP-64bits";;
		"1") ENCStr="WEP-128bits";;
	esac	
elif [ "$AuthenticationMethod" = "2" ]; then
	AuthStr="WPA-PSK"
	case "$WEPType" in
		"0") ENCStr="TKIP Only";;
		"1") ENCStr="AES Only";;
		"2") ENCStr="TKIP or AES";;
	esac	
elif [ "$AuthenticationMethod" = "3" ]; then
	AuthStr="WPA"
	case "$WEPType" in
		"0") ENCStr="TKIP Only";;
		"1") ENCStr="AES Only";;
		"2") ENCStr="TKIP or AES";;
	esac	
else
	AuthStr="Raidus with 802.1x"
	case "$WEPType" in
		"0") ENCStr="Auto";;
		"1") ENCStr="WEP-64bits";;
		"2") ENCStr="WEP-128bits";;
	esac	
fi

echo "SSID          : $SSID" > $FILE
echo "Channel       : $CChannel" >> $FILE
echo "Authentication: $AuthStr" >> $FILE
echo "Encryption    : $ENCStr" >> $FILE
if [ "$ACLMethod" != "Disable" ]; then
	if [ "$ApplyDevices" != "802.11a only" ]; then
		echo "ACL	: $ACLMethod" >> $FILE
	fi
fi
echo "-----------------------------------------" >> $FILE

if [ "$x_RadioEnable" != "1" ] || [ "$WLCtrl" = "0" ]; then
	echo -e "Radio is disabled"  >> $FILE
else
	STAS=`assoclist wlan0`
	echo -n >> $FILE
	num=0
	for i in $STAS ; do
		num=$(($num+1))
		echo -e "STA$num $i" >> $FILE
	done
fi
